Datasets

GET /api/v1/datasets

Get Datasets

Response

Type: []Dataset

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
notesstring
has_logobool
logostring
publicbool
shared_with_mebool
share_rolestringRole slug if shared (share_viewer, share_editor) (optional)
organization_idstringMulti-tenancy fields (Phase 1 RBAC)
These are nullable to maintain backward compatibility - resources without
org/project assignment belong to the user’s “personal workspace” (optional)
project_idstring(optional)
visibilitystringVisibility controls access inheritance (defaults to existing Public behavior)
“private” = only explicit grants, “project” = project members, “team” = team members,
“org” = org members, “public” = anyone (same as Public=true) (optional)
versions[]DatasetVersion
multi_labelbool
default_splitsbool
content_typestring

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets

POST /api/v1/datasets

Create Dataset

Request Body

Type: Dataset

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
notesstring
has_logobool
logostring
publicbool
shared_with_mebool
share_rolestringRole slug if shared (share_viewer, share_editor) (optional)
organization_idstringMulti-tenancy fields (Phase 1 RBAC)
These are nullable to maintain backward compatibility - resources without
org/project assignment belong to the user’s “personal workspace” (optional)
project_idstring(optional)
visibilitystringVisibility controls access inheritance (defaults to existing Public behavior)
“private” = only explicit grants, “project” = project members, “team” = team members,
“org” = org members, “public” = anyone (same as Public=true) (optional)
versions[]DatasetVersion
multi_labelbool
default_splitsbool
content_typestring

Response

Type: Dataset

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
notesstring
has_logobool
logostring
publicbool
shared_with_mebool
share_rolestringRole slug if shared (share_viewer, share_editor) (optional)
organization_idstringMulti-tenancy fields (Phase 1 RBAC)
These are nullable to maintain backward compatibility - resources without
org/project assignment belong to the user’s “personal workspace” (optional)
project_idstring(optional)
visibilitystringVisibility controls access inheritance (defaults to existing Public behavior)
“private” = only explicit grants, “project” = project members, “team” = team members,
“org” = org members, “public” = anyone (same as Public=true) (optional)
versions[]DatasetVersion
multi_labelbool
default_splitsbool
content_typestring

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/datasets

GET /api/v1/datasets/{id}

Get Dataset

Parameters

NameInTypeRequired
idpathstringtrue

Response

Type: Dataset

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
notesstring
has_logobool
logostring
publicbool
shared_with_mebool
share_rolestringRole slug if shared (share_viewer, share_editor) (optional)
organization_idstringMulti-tenancy fields (Phase 1 RBAC)
These are nullable to maintain backward compatibility - resources without
org/project assignment belong to the user’s “personal workspace” (optional)
project_idstring(optional)
visibilitystringVisibility controls access inheritance (defaults to existing Public behavior)
“private” = only explicit grants, “project” = project members, “team” = team members,
“org” = org members, “public” = anyone (same as Public=true) (optional)
versions[]DatasetVersion
multi_labelbool
default_splitsbool
content_typestring

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{id}

PUT /api/v1/datasets/{id}

Update Dataset

Parameters

NameInTypeRequired
idpathstringtrue

Request Body

Type: Dataset

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
notesstring
has_logobool
logostring
publicbool
shared_with_mebool
share_rolestringRole slug if shared (share_viewer, share_editor) (optional)
organization_idstringMulti-tenancy fields (Phase 1 RBAC)
These are nullable to maintain backward compatibility - resources without
org/project assignment belong to the user’s “personal workspace” (optional)
project_idstring(optional)
visibilitystringVisibility controls access inheritance (defaults to existing Public behavior)
“private” = only explicit grants, “project” = project members, “team” = team members,
“org” = org members, “public” = anyone (same as Public=true) (optional)
versions[]DatasetVersion
multi_labelbool
default_splitsbool
content_typestring

Response

Type: Dataset

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
notesstring
has_logobool
logostring
publicbool
shared_with_mebool
share_rolestringRole slug if shared (share_viewer, share_editor) (optional)
organization_idstringMulti-tenancy fields (Phase 1 RBAC)
These are nullable to maintain backward compatibility - resources without
org/project assignment belong to the user’s “personal workspace” (optional)
project_idstring(optional)
visibilitystringVisibility controls access inheritance (defaults to existing Public behavior)
“private” = only explicit grants, “project” = project members, “team” = team members,
“org” = org members, “public” = anyone (same as Public=true) (optional)
versions[]DatasetVersion
multi_labelbool
default_splitsbool
content_typestring

Example

curl -X PUT \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/datasets/{id}

DELETE /api/v1/datasets/{id}

Delete Dataset

Parameters

NameInTypeRequired
idpathstringtrue

Example

curl -X DELETE \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{id}

GET /api/v1/datasets/{id}/logo

Get Dataset Logo

Parameters

NameInTypeRequired
idpathstringtrue

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{id}/logo

GET /api/v1/datasets/{id}/share

Get Shares

Parameters

NameInTypeRequired
idpathstringtrue

Response

Type: []ShareInfo

FieldTypeDescription
share_idstring
user_idstring
firstnamestring
namestring
emailstring
request_user_idstringThe userID that shares
role_idstring
role_namestring
role_slugstring
is_pendingbool
is_ownerbool

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{id}/share

POST /api/v1/datasets/{id}/share

Create Share

Parameters

NameInTypeRequired
idpathstringtrue

Request Body

Type: Share

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
user_iduuid.UUIDThe userID it is shared with
emailstring
entity_idstring
entity_version_idstring
request_user_idstringThe userID that shares
entity_typestring
without_inviteboolDo not send an email invitation
role_idstringOptional: role for granular permissions (defaults to viewer)
tokenstringInvite fields (for new-user invite flow) (optional)
expires_attime.Time(optional)
accepted_attime.Time(optional)
roleRoleRelationships (optional)

Response

Type: Share

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
user_iduuid.UUIDThe userID it is shared with
emailstring
entity_idstring
entity_version_idstring
request_user_idstringThe userID that shares
entity_typestring
without_inviteboolDo not send an email invitation
role_idstringOptional: role for granular permissions (defaults to viewer)
tokenstringInvite fields (for new-user invite flow) (optional)
expires_attime.Time(optional)
accepted_attime.Time(optional)
roleRoleRelationships (optional)

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/datasets/{id}/share

PUT /api/v1/datasets/{id}/share/{share_id}

Update Share

putShare updates a share’s role

Parameters

NameInTypeRequired
idpathstringtrue
share_idpathstringtrue

Request Body

Type: struct{}

Example

curl -X PUT \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/datasets/{id}/share/{share_id}

DELETE /api/v1/datasets/{id}/share/{share_id}

Delete Share

func deleteShare(db *gorm.DB, entityType string) http.HandlerFunc {

Parameters

NameInTypeRequired
idpathstringtrue
share_idpathstringtrue

Example

curl -X DELETE \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{id}/share/{share_id}

POST /api/v1/datasets/{id}/upload

Create Dataset Logo

Parameters

NameInTypeRequired
idpathstringtrue

Response

Type: Dataset

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
notesstring
has_logobool
logostring
publicbool
shared_with_mebool
share_rolestringRole slug if shared (share_viewer, share_editor) (optional)
organization_idstringMulti-tenancy fields (Phase 1 RBAC)
These are nullable to maintain backward compatibility - resources without
org/project assignment belong to the user’s “personal workspace” (optional)
project_idstring(optional)
visibilitystringVisibility controls access inheritance (defaults to existing Public behavior)
“private” = only explicit grants, “project” = project members, “team” = team members,
“org” = org members, “public” = anyone (same as Public=true) (optional)
versions[]DatasetVersion
multi_labelbool
default_splitsbool
content_typestring

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  https://api.seeme.ai/api/v1/datasets/{id}/upload